<template>
  <el-table   :highlight-current-row="highlightCurrentRow"  :height="height || '100%'" :row-key="rowKey" :row-class-name="rowClassName"
		@current-change="handleCurrentRow"
    :data="data"
    style="width: 100%">
		<slot></slot>
  </el-table>
</template>
<script>
export default {
	props: {
		data: Array,
		rowKey: [String],
		rowClassName: Function,
		height: [String,Number],
		highlightCurrentRow: {
			type: Boolean,
			default: true
		}
	},
	methods: {
		handleCurrentRow(row) {
			this.$emit('select-one', row)
		}
	},
	data(){
		return {
			selectedRow: null,
		}
	}
}
</script>
<style >
.current-row {
	font-weight: bold;
	/* color: red; */
	background-color: blue;
}

.flex-column {
	height: calc(100%);
	overflow: auto;
	display: flex;
	flex-direction: column;
}

.row-actions {
	float:right;
}

.boton-tabla {
	margin: 0;
	padding: 4px !important;
	margin: 2px !important;
}


</style>